GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
gtpin::GtBinaryFormat Class Reference
GTPin: GEN Architecture

Format of a binary GFX program module. More...

`#include <gt_gpu_defs.h>`

## Public Types
enum | ENUM { INVALID, ZEBIN, PATCH_TOKEN }
## Public Member Functions
constexpr | GtBinaryFormat (ENUM v=INVALID)
| Conversion constructor.
constexpr | operator ENUM () const
| Conversion operator.
const char * | ToString () const
| Return string representation.

## Detailed Description

Format of a binary GFX program module.

## Member Enumeration Documentation

enum gtpin::GtBinaryFormat::ENUM

Enumerator:

  INVALID | Invalid / unknown format.
  ZEBIN | zeBin ELF binary format
  PATCH_TOKEN | Patch token binary format (deprecated)

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT